%bcond_with doc
%bcond_without qt5

Summary:	A documentation system for C/C++
Name:		doxygen
Version:	1.8.14
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Development/Tools
Url:		http://www.stack.nl/~dimitri/doxygen/
Source0:	ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.gz
Patch0:		doxygen-1.2.12-fix-latex.patch
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	pkgconfig(libpng)
%if %{with qt5}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Xml)
%endif
%if %{with doc}
BuildRequires:	ghostscript
BuildRequires:	tetex-latex
BuildRequires:	texlive-epstopdf
%endif

%description
Doxygen can generate an online class browser (in HTML) and/or a
reference manual (in LaTeX) from a set of documented source files. The
documentation is extracted directly from the sources. Doxygen can
also be configured to extract the code structure from undocumented
source files.

%files
%if %{with doc}
%doc html examples pdf
%endif
%doc README.md LICENSE
%{_bindir}/doxygen
%{_mandir}/man1/doxygen.1*

#----------------------------------------------------------------------------

%if %{with qt5}
%package doxywizard
Summary:	A GUI for creating and editing configuration files
Group:		Development/Tools
Requires:	%{name} = %{EVRD}

%description doxywizard
Doxygen can generate an online class browser (in HTML) and/or a
reference manual (in LaTeX) from a set of documented source files. The
documentation is extracted directly from the sources. Doxygen can
also be configured to extract the code structure from undocumented
source files.

This is the GUI interface for doxygen.  It requires qt and X11 to
install.

%files doxywizard
%{_bindir}/doxywizard
%{_mandir}/man1/doxywizard.1*
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake \
	-DBUILD_SHARED_LIBS:BOOL=OFF \
	-DBUILD_STATIC_LIBS:BOOL=ON \
%if %{with doc}
	-Dbuild_doc=ON \
%endif
%if %{with qt5}
	-Dbuild_wizard=ON
%endif

make LFLAGS="%{?ldflags}" all

%if %{with doc}
make docs
%endif

%install
%makeinstall_std -C build

%if %{without doc}
install -m644 doc/doxygen.1 -D %{buildroot}%{_mandir}/man1/doxygen.1
%if %{with qt5}
install -m644 doc/doxywizard.1 -D %{buildroot}%{_mandir}/man1/doxywizard.1
%endif
%endif

%changelog
